<template>
  <v-app>
    <v-card class="mx-auto overflow-hidden"
    width="100%"
    height="100%"
    >
      <v-system-bar color="red darken-4"></v-system-bar>
      <v-app-bar
        color="red accent-4"
        dark
      >
        <v-app-bar-nav-icon @click.stop="drawer = !drawer"></v-app-bar-nav-icon>

        <v-toolbar-title>Covid</v-toolbar-title>

        <v-spacer></v-spacer>
      </v-app-bar>
      <v-navigation-drawer
        v-model="drawer"
        absolute
        top
        temporary
      >
        <v-list
          nav
          dense
        >
          <v-list-item-group
            v-model="group"
            active-class="deep-purple--text text--accent-1"
          >
            <v-list-item>
              <v-list-item-title @click="goPage('/')">สรุปยอดรายวัน</v-list-item-title>
            </v-list-item>

            <v-list-item>
              <v-list-item-title @click="goPage('/chart')">กราฟรายเดือน</v-list-item-title>
            </v-list-item>

            <v-list-item>
              <v-list-item-title @click="goPage('/top5')">5 จังหวัดยอดสูงสุด</v-list-item-title>
            </v-list-item>
          </v-list-item-group>
        </v-list>
      </v-navigation-drawer>
       <v-main>
        <router-view/>
      </v-main>
    </v-card>
  </v-app>
</template>

<script>

export default {
  name: 'App',

  data: () => ({
      drawer: false,
      group: null,
  }),

  watch: {
      group () {
        this.drawer = false
      },
  },

  methods: {
    goPage (link) {
      console.log("test",link);
      this.$router.push(link)
    },
  }
};
</script>
